<?php
require_once './Control/ControlProduto.php';
require_once './Util/Utilidades.php';
$controlProduto = new ControlProduto();
$categoria = $controlProduto->pegarTodosCategoria();
$ar = Utilidades::OrdenarArray($categoria->allToArray(), 'nome');
$arquivoForm = 'adm_categoriaForm.php';
?>
<button value="cmdNovo" onclick="javascript:mostrarArquivoDados('<?php echo $arquivoForm ?>','#dados','acao=inserir&lang=ptbr');">Novo registro</button>
<table class="datatable">
    <thead>
        <tr>
            <?php
            $ColNomes = '<th>Nome</th><th>ID Site</th><th>Descrição Curta</th><th></th>';
            echo $ColNomes;
            ?>
        </tr>
    </thead>
    <tbody>
        <?php
        foreach ($ar as $key => $row) {
            $pk = $row['categoriaid'];
            $nome = $row['nome'];
            echo '<tr class="gradeA" id="categoriaID_' . $pk .'">';
            echo '<td>' . $row['nome'] . '</td>';
            echo '<td>' . $row['idsite'] . '</td>';
            echo '<td>' . $row['descricaocurta'] . '</td>';
            echo '<td><a href="javascript:mostrarArquivoDados(\'' . $arquivoForm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');">Editar</a> / <a href="javascript:excluirRegistro(\'' . $pk . '\',\'' . $nome .'\');" class="editor_remove">Excluir</a></td>';
            echo '</tr>';
        }
        ?>
    </tbody>
    <tfoot><?php echo $ColNomes?></tfoot>
</table>
<script>
    iniciarDataTable('.datatable');
</script>
<?php
        FormAjax::ExcluirRegistro('adm_categoriaCMD.php');
?>